Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
CallbackData Class Reference

This is a generic data block that is passed along to a CallbackObject when a callback is made. More...

`#include "callbackData.h"`

Inheritance diagram for CallbackData:

## Public Member Functions
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
virtual void | output (std::ostream &out) const
virtual void | upcall ()
| You should make this call during the callback if you want to continue the normal function that would have been done in the absence of a callback.
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

This is a generic data block that is passed along to a CallbackObject when a callback is made.

It contains data specific to the particular callback type in question.

This is actually an abstract base class and contains no data. Specializations of this class will contain the actual data relevant to each callback type.

Definition at line 29 of file callbackData.h.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle CallbackData::force_init_type | ( |  | ) |
| inline virtual

Implements TypedObject.

Definition at line 50 of file callbackData.h.

## ◆ get_class_type()

static TypeHandle CallbackData::get_class_type | ( |  | ) |
| inline static

Definition at line 39 of file callbackData.h.

## ◆ get_type()

virtual TypeHandle CallbackData::get_type | ( |  | ) | const
| inline virtual

Implements TypedObject.

Definition at line 47 of file callbackData.h.

## ◆ init_type()

static void CallbackData::init_type | ( |  | ) |
| inline static

Definition at line 42 of file callbackData.h.

## ◆ output()

void CallbackData::output | ( | std::ostream & | out | ) | const
| virtual

Definition at line 22 of file callbackData.cxx.

## ◆ upcall()

void CallbackData::upcall | ( |  | ) |
| virtual

You should make this call during the callback if you want to continue the normal function that would have been done in the absence of a callback.

Reimplemented in CallbackGraphicsWindow::EventsCallbackData, CallbackGraphicsWindow::PropertiesCallbackData, CallbackGraphicsWindow::RenderCallbackData, DisplayRegionCullCallbackData, DisplayRegionDrawCallbackData, GeomDrawCallbackData, and NodeCullCallbackData.

Definition at line 31 of file callbackData.cxx.

The documentation for this class was generated from the following files:

- panda/src/putil/callbackData.h
- panda/src/putil/callbackData.cxx
- panda/src/putil/callbackData.I